Metrics/LineLength:
  Max: 120
Metrics/MethodLength:
  Max: 120
Metrics/ClassLength:
  Max: 1000
Metrics/CyclomaticComplexity:
  Max: 30
Metrics/AbcSize:
  Max: 120
Metrics/PerceivedComplexity:
  Max: 30
Metrics/BlockLength:
  Max: 100
Metrics/ModuleLength:
  Max: 1000

Style/Encoding:
  Enabled: true

AllCops:
  StyleGuideBaseURL: https://rubystyle.guide
